Loading...
Searching...
No Matches
p_MemAdd.h File Reference

Go to the source code of this file.

## Macros

#define | _p_MemSum(i, r, s1, s2)
#define | _p_MemSum_LengthOne(r, s1, s2)
#define | _p_MemSum_LengthTwo(r, s1, s2)
#define | _p_MemSum_LengthThree(r, s1, s2)
#define | _p_MemSum_LengthFour(r, s1, s2)
#define | _p_MemSum_LengthFive(r, s1, s2)
#define | _p_MemSum_LengthSix(r, s1, s2)
#define | _p_MemSum_LengthSeven(r, s1, s2)
#define | _p_MemSum_LengthEight(r, s1, s2)
#define | _p_MemSum_Declare(r, s1, s2)
#define | p_MemSum_LengthOne(r, s1, s2, length)
#define | p_MemSum_LengthTwo(r, s1, s2, length)
#define | p_MemSum_LengthThree(r, s1, s2, length)
#define | p_MemSum_LengthFour(r, s1, s2, length)
#define | p_MemSum_LengthFive(r, s1, s2, length)
#define | p_MemSum_LengthSix(r, s1, s2, length)
#define | p_MemSum_LengthSeven(r, s1, s2, length)
#define | p_MemSum_LengthEight(r, s1, s2, length)
#define | p_MemSum_LengthGeneral(r, s1, s2, length)
#define | _p_MemAdd(i, r, s)
#define | _p_MemAdd_LengthOne(r, s)
#define | _p_MemAdd_LengthTwo(r, s)
#define | _p_MemAdd_LengthThree(r, s)
#define | _p_MemAdd_LengthFour(r, s)
#define | _p_MemAdd_LengthFive(r, s)
#define | _p_MemAdd_LengthSix(r, s)
#define | _p_MemAdd_LengthSeven(r, s)
#define | _p_MemAdd_LengthEight(r, s)
#define | _p_MemAdd_Declare(r, s)
#define | p_MemAdd_LengthOne(r, s, length)
#define | p_MemAdd_LengthTwo(r, s, length)
#define | p_MemAdd_LengthThree(r, s, length)
#define | p_MemAdd_LengthFour(r, s, length)
#define | p_MemAdd_LengthFive(r, s, length)
#define | p_MemAdd_LengthSix(r, s, length)
#define | p_MemAdd_LengthSeven(r, s, length)
#define | p_MemAdd_LengthEight(r, s, length)
#define | p_MemAdd_LengthGeneral(r, s, length)
#define | _p_MemDiff(i, r, s1, s2)
#define | _p_MemDiff_LengthOne(r, s1, s2)
#define | _p_MemDiff_LengthTwo(r, s1, s2)
#define | _p_MemDiff_LengthThree(r, s1, s2)
#define | _p_MemDiff_LengthFour(r, s1, s2)
#define | _p_MemDiff_LengthFive(r, s1, s2)
#define | _p_MemDiff_LengthSix(r, s1, s2)
#define | _p_MemDiff_LengthSeven(r, s1, s2)
#define | _p_MemDiff_LengthEight(r, s1, s2)
#define | _p_MemDiff_Declare(r, s1, s2)
#define | p_MemDiff_LengthOne(r, s1, s2, length)
#define | p_MemDiff_LengthTwo(r, s1, s2, length)
#define | p_MemDiff_LengthThree(r, s1, s2, length)
#define | p_MemDiff_LengthFour(r, s1, s2, length)
#define | p_MemDiff_LengthFive(r, s1, s2, length)
#define | p_MemDiff_LengthSix(r, s1, s2, length)
#define | p_MemDiff_LengthSeven(r, s1, s2, length)
#define | p_MemDiff_LengthEight(r, s1, s2, length)
#define | p_MemDiff_LengthGeneral(r, s1, s2, length)
#define | _p_MemSub(i, r, s)
#define | _p_MemSub_Declare(r, s)
#define | p_MemSub_LengthGeneral(r, s, length)
#define | _p_MemAddSub_Declare(r, s, t)
#define | p_MemAddSub_LengthGeneral(r, s, t, length)

## Macro Definition Documentation

## _p_MemAdd

#define _p_MemAdd | ( |  | i,
|  |  | r,
|  |  | s )

Value:
r[i] += s[i]
i
int i
Definition cfEzgcd.cc:132
s
const CanonicalForm int s
Definition facAbsFact.cc:51

Definition at line 107 of file p_MemAdd.h.

## _p_MemAdd_Declare

#define _p_MemAdd_Declare | ( |  | r,
|  |  | s )

Value:
const unsigned long* _s = ((unsigned long*) s); \
unsigned long* _r = ((unsigned long*) r)

Definition at line 118 of file p_MemAdd.h.

#define _p_MemAdd_Declare(r, s) \
const unsigned long* _s = ((unsigned long*) s); \
unsigned long* _r = ((unsigned long*) r)

## _p_MemAdd_LengthEight

#define _p_MemAdd_LengthEight | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthSeven(r, s); _p_MemAdd(7, r, s);} while(0)
_p_MemAdd
#define _p_MemAdd(i, r, s)
Definition p_MemAdd.h:107
_p_MemAdd_LengthSeven
#define _p_MemAdd_LengthSeven(r, s)
Definition p_MemAdd.h:115

Definition at line 116 of file p_MemAdd.h.

## _p_MemAdd_LengthFive

#define _p_MemAdd_LengthFive | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthFour(r, s); _p_MemAdd(4, r, s);} while(0)
_p_MemAdd_LengthFour
#define _p_MemAdd_LengthFour(r, s)
Definition p_MemAdd.h:112

Definition at line 113 of file p_MemAdd.h.

## _p_MemAdd_LengthFour

#define _p_MemAdd_LengthFour | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthThree(r, s); _p_MemAdd(3, r, s);} while(0)
_p_MemAdd_LengthThree
#define _p_MemAdd_LengthThree(r, s)
Definition p_MemAdd.h:111

Definition at line 112 of file p_MemAdd.h.

## _p_MemAdd_LengthOne

#define _p_MemAdd_LengthOne | ( |  | r,
|  |  | s )

Value:
_p_MemAdd(0, r, s)

Definition at line 109 of file p_MemAdd.h.

## _p_MemAdd_LengthSeven

#define _p_MemAdd_LengthSeven | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthSix(r, s); _p_MemAdd(6, r, s);} while(0)
_p_MemAdd_LengthSix
#define _p_MemAdd_LengthSix(r, s)
Definition p_MemAdd.h:114

Definition at line 115 of file p_MemAdd.h.

## _p_MemAdd_LengthSix

#define _p_MemAdd_LengthSix | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthFive(r, s); _p_MemAdd(5, r, s);} while(0)
_p_MemAdd_LengthFive
#define _p_MemAdd_LengthFive(r, s)
Definition p_MemAdd.h:113

Definition at line 114 of file p_MemAdd.h.

## _p_MemAdd_LengthThree

#define _p_MemAdd_LengthThree | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthTwo(r, s); _p_MemAdd(2, r, s);} while(0)
_p_MemAdd_LengthTwo
#define _p_MemAdd_LengthTwo(r, s)
Definition p_MemAdd.h:110

Definition at line 111 of file p_MemAdd.h.

## _p_MemAdd_LengthTwo

#define _p_MemAdd_LengthTwo | ( |  | r,
|  |  | s )

Value:
do{_p_MemAdd_LengthOne(r, s); _p_MemAdd(1, r, s);} while(0)
_p_MemAdd_LengthOne
#define _p_MemAdd_LengthOne(r, s)
Definition p_MemAdd.h:109

Definition at line 110 of file p_MemAdd.h.

## _p_MemAddSub_Declare

#define _p_MemAddSub_Declare | ( |  | r,
|  |  | s,
|  |  | t )

Value:
const unsigned long* _s = ((unsigned long*) s); \
const unsigned long* _t = ((unsigned long*) t); \
unsigned long* _r = ((unsigned long*) r)

Definition at line 307 of file p_MemAdd.h.

#define _p_MemAddSub_Declare(r, s, t) \
const unsigned long* _s = ((unsigned long*) s); \
const unsigned long* _t = ((unsigned long*) t); \
unsigned long* _r = ((unsigned long*) r)

## _p_MemDiff

#define _p_MemDiff | ( |  | i,
|  |  | r,
|  |  | s1,
|  |  | s2 )

Value:
r[i] = s1[i] - s2[i]

Definition at line 195 of file p_MemAdd.h.

## _p_MemDiff_Declare

#define _p_MemDiff_Declare | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
unsigned long* _r = ((unsigned long*) r)

Definition at line 206 of file p_MemAdd.h.

#define _p_MemDiff_Declare(r, s1, s2) \
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
unsigned long* _r = ((unsigned long*) r)

## _p_MemDiff_LengthEight

#define _p_MemDiff_LengthEight | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthSeven(r, s1, s2); _p_MemDiff(7, r, s1, s2);} while(0)
_p_MemDiff_LengthSeven
#define _p_MemDiff_LengthSeven(r, s1, s2)
Definition p_MemAdd.h:203
_p_MemDiff
#define _p_MemDiff(i, r, s1, s2)
Definition p_MemAdd.h:195

Definition at line 204 of file p_MemAdd.h.

## _p_MemDiff_LengthFive

#define _p_MemDiff_LengthFive | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthFour(r, s1, s2); _p_MemDiff(4, r, s1, s2);} while(0)
_p_MemDiff_LengthFour
#define _p_MemDiff_LengthFour(r, s1, s2)
Definition p_MemAdd.h:200

Definition at line 201 of file p_MemAdd.h.

## _p_MemDiff_LengthFour

#define _p_MemDiff_LengthFour | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthThree(r, s1, s2); _p_MemDiff(3, r, s1, s2);} while(0)
_p_MemDiff_LengthThree
#define _p_MemDiff_LengthThree(r, s1, s2)
Definition p_MemAdd.h:199

Definition at line 200 of file p_MemAdd.h.

## _p_MemDiff_LengthOne

#define _p_MemDiff_LengthOne | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
_p_MemDiff(0, r, s1, s2)

Definition at line 197 of file p_MemAdd.h.

## _p_MemDiff_LengthSeven

#define _p_MemDiff_LengthSeven | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthSix(r, s1, s2); _p_MemDiff(6, r, s1, s2);} while(0)
_p_MemDiff_LengthSix
#define _p_MemDiff_LengthSix(r, s1, s2)
Definition p_MemAdd.h:202

Definition at line 203 of file p_MemAdd.h.

## _p_MemDiff_LengthSix

#define _p_MemDiff_LengthSix | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthFive(r, s1, s2); _p_MemDiff(5, r, s1, s2);} while(0)
_p_MemDiff_LengthFive
#define _p_MemDiff_LengthFive(r, s1, s2)
Definition p_MemAdd.h:201

Definition at line 202 of file p_MemAdd.h.

## _p_MemDiff_LengthThree

#define _p_MemDiff_LengthThree | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthTwo(r, s1, s2); _p_MemDiff(2, r, s1, s2);} while(0)
_p_MemDiff_LengthTwo
#define _p_MemDiff_LengthTwo(r, s1, s2)
Definition p_MemAdd.h:198

Definition at line 199 of file p_MemAdd.h.

## _p_MemDiff_LengthTwo

#define _p_MemDiff_LengthTwo | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemDiff_LengthOne(r, s1, s2); _p_MemDiff(1, r, s1, s2);} while(0)
_p_MemDiff_LengthOne
#define _p_MemDiff_LengthOne(r, s1, s2)
Definition p_MemAdd.h:197

Definition at line 198 of file p_MemAdd.h.

## _p_MemSub

#define _p_MemSub | ( |  | i,
|  |  | r,
|  |  | s )

Value:
r[i] -= s[i]

Definition at line 285 of file p_MemAdd.h.

## _p_MemSub_Declare

#define _p_MemSub_Declare | ( |  | r,
|  |  | s )

Value:
const unsigned long* _s = ((unsigned long*) s); \
unsigned long* _r = ((unsigned long*) r)

Definition at line 287 of file p_MemAdd.h.

#define _p_MemSub_Declare(r, s) \
const unsigned long* _s = ((unsigned long*) s); \
unsigned long* _r = ((unsigned long*) r)

## _p_MemSum

#define _p_MemSum | ( |  | i,
|  |  | r,
|  |  | s1,
|  |  | s2 )

Value:
r[i] = s1[i] + s2[i]

Definition at line 19 of file p_MemAdd.h.

## _p_MemSum_Declare

#define _p_MemSum_Declare | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
unsigned long* _r = ((unsigned long*) r)

Definition at line 30 of file p_MemAdd.h.

#define _p_MemSum_Declare(r, s1, s2) \
const unsigned long* _s1 = ((unsigned long*) s1); \
const unsigned long* _s2 = ((unsigned long*) s2); \
unsigned long* _r = ((unsigned long*) r)

## _p_MemSum_LengthEight

#define _p_MemSum_LengthEight | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthSeven(r, s1, s2); _p_MemSum(7, r, s1, s2);} while(0)
_p_MemSum_LengthSeven
#define _p_MemSum_LengthSeven(r, s1, s2)
Definition p_MemAdd.h:27
_p_MemSum
#define _p_MemSum(i, r, s1, s2)
Definition p_MemAdd.h:19

Definition at line 28 of file p_MemAdd.h.

## _p_MemSum_LengthFive

#define _p_MemSum_LengthFive | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthFour(r, s1, s2); _p_MemSum(4, r, s1, s2);} while(0)
_p_MemSum_LengthFour
#define _p_MemSum_LengthFour(r, s1, s2)
Definition p_MemAdd.h:24

Definition at line 25 of file p_MemAdd.h.

## _p_MemSum_LengthFour

#define _p_MemSum_LengthFour | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthThree(r, s1, s2); _p_MemSum(3, r, s1, s2);} while(0)
_p_MemSum_LengthThree
#define _p_MemSum_LengthThree(r, s1, s2)
Definition p_MemAdd.h:23

Definition at line 24 of file p_MemAdd.h.

## _p_MemSum_LengthOne

#define _p_MemSum_LengthOne | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
_p_MemSum(0, r, s1, s2)

Definition at line 21 of file p_MemAdd.h.

## _p_MemSum_LengthSeven

#define _p_MemSum_LengthSeven | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthSix(r, s1, s2); _p_MemSum(6, r, s1, s2);} while(0)
_p_MemSum_LengthSix
#define _p_MemSum_LengthSix(r, s1, s2)
Definition p_MemAdd.h:26

Definition at line 27 of file p_MemAdd.h.

## _p_MemSum_LengthSix

#define _p_MemSum_LengthSix | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthFive(r, s1, s2); _p_MemSum(5, r, s1, s2);} while(0)
_p_MemSum_LengthFive
#define _p_MemSum_LengthFive(r, s1, s2)
Definition p_MemAdd.h:25

Definition at line 26 of file p_MemAdd.h.

## _p_MemSum_LengthThree

#define _p_MemSum_LengthThree | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthTwo(r, s1, s2); _p_MemSum(2, r, s1, s2);} while(0)
_p_MemSum_LengthTwo
#define _p_MemSum_LengthTwo(r, s1, s2)
Definition p_MemAdd.h:22

Definition at line 23 of file p_MemAdd.h.

## _p_MemSum_LengthTwo

#define _p_MemSum_LengthTwo | ( |  | r,
|  |  | s1,
|  |  | s2 )

Value:
do{_p_MemSum_LengthOne(r, s1, s2); _p_MemSum(1, r, s1, s2);} while(0)
_p_MemSum_LengthOne
#define _p_MemSum_LengthOne(r, s1, s2)
Definition p_MemAdd.h:21

Definition at line 22 of file p_MemAdd.h.

## p_MemAdd_LengthEight

#define p_MemAdd_LengthEight | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthEight(_r, _s); \
} \
while (0)

Definition at line 165 of file p_MemAdd.h.

#define p_MemAdd_LengthEight(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthEight(_r, _s); \
} \
while (0)

## p_MemAdd_LengthFive

#define p_MemAdd_LengthFive | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthFive(_r, _s); \
} \
while (0)

Definition at line 144 of file p_MemAdd.h.

#define p_MemAdd_LengthFive(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthFive(_r, _s); \
} \
while (0)

## p_MemAdd_LengthFour

#define p_MemAdd_LengthFour | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthFour(_r, _s); \
} \
while (0)

Definition at line 137 of file p_MemAdd.h.

#define p_MemAdd_LengthFour(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthFour(_r, _s); \
} \
while (0)

## p_MemAdd_LengthGeneral

#define p_MemAdd_LengthGeneral | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] += _s[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)
length
static BOOLEAN length(leftv result, leftv arg)
Definition interval.cc:257

Definition at line 173 of file p_MemAdd.h.

#define p_MemAdd_LengthGeneral(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] += _s[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

## p_MemAdd_LengthOne

#define p_MemAdd_LengthOne | ( |  | r,
|  |  | s,
|  |  | length )

Value:
_p_MemAdd_LengthOne(r, s)

Definition at line 122 of file p_MemAdd.h.

## p_MemAdd_LengthSeven

#define p_MemAdd_LengthSeven | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthSeven(_r, _s); \
} \
while (0)

Definition at line 158 of file p_MemAdd.h.

#define p_MemAdd_LengthSeven(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthSeven(_r, _s); \
} \
while (0)

## p_MemAdd_LengthSix

#define p_MemAdd_LengthSix | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthSix(_r, _s); \
} \
while (0)

Definition at line 151 of file p_MemAdd.h.

#define p_MemAdd_LengthSix(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthSix(_r, _s); \
} \
while (0)

## p_MemAdd_LengthThree

#define p_MemAdd_LengthThree | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthThree(_r, _s); \
} \
while (0)

Definition at line 130 of file p_MemAdd.h.

#define p_MemAdd_LengthThree(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthThree(_r, _s); \
} \
while (0)

## p_MemAdd_LengthTwo

#define p_MemAdd_LengthTwo | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthTwo(_r, _s); \
} \
while (0)

Definition at line 123 of file p_MemAdd.h.

#define p_MemAdd_LengthTwo(r, s, length) \
do \
{ \
_p_MemAdd_Declare(r,s); \
_p_MemAdd_LengthTwo(_r, _s); \
} \
while (0)

## p_MemAddSub_LengthGeneral

#define p_MemAddSub_LengthGeneral | ( |  | r,
|  |  | s,
|  |  | t,
|  |  | length )

Value:
do \
{ \
_p_MemAddSub_Declare(r,s, t); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] += _s[_i] - _t[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

Definition at line 312 of file p_MemAdd.h.

#define p_MemAddSub_LengthGeneral(r, s, t, length) \
do \
{ \
_p_MemAddSub_Declare(r,s, t); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] += _s[_i] - _t[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

## p_MemDiff_LengthEight

#define p_MemDiff_LengthEight | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthEight(_r, _s1, _s2); \
} \
while (0)

Definition at line 254 of file p_MemAdd.h.

#define p_MemDiff_LengthEight(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthEight(_r, _s1, _s2); \
} \
while (0)

## p_MemDiff_LengthFive

#define p_MemDiff_LengthFive | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthFive(_r, _s1, _s2); \
} \
while (0)

Definition at line 233 of file p_MemAdd.h.

#define p_MemDiff_LengthFive(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthFive(_r, _s1, _s2); \
} \
while (0)

## p_MemDiff_LengthFour

#define p_MemDiff_LengthFour | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthFour(_r, _s1, _s2); \
} \
while (0)

Definition at line 226 of file p_MemAdd.h.

#define p_MemDiff_LengthFour(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthFour(_r, _s1, _s2); \
} \
while (0)

## p_MemDiff_LengthGeneral

#define p_MemDiff_LengthGeneral | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] = _s1[_i] - _s2[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

Definition at line 262 of file p_MemAdd.h.

#define p_MemDiff_LengthGeneral(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] = _s1[_i] - _s2[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

## p_MemDiff_LengthOne

#define p_MemDiff_LengthOne | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
_p_MemDiff_LengthOne(r, s1, s2)

Definition at line 211 of file p_MemAdd.h.

## p_MemDiff_LengthSeven

#define p_MemDiff_LengthSeven | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthSeven(_r, _s1, _s2); \
} \
while (0)

Definition at line 247 of file p_MemAdd.h.

#define p_MemDiff_LengthSeven(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthSeven(_r, _s1, _s2); \
} \
while (0)

## p_MemDiff_LengthSix

#define p_MemDiff_LengthSix | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthSix(_r, _s1, _s2); \
} \
while (0)

Definition at line 240 of file p_MemAdd.h.

#define p_MemDiff_LengthSix(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthSix(_r, _s1, _s2); \
} \
while (0)

## p_MemDiff_LengthThree

#define p_MemDiff_LengthThree | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthThree(_r, _s1, _s2); \
} \
while (0)

Definition at line 219 of file p_MemAdd.h.

#define p_MemDiff_LengthThree(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthThree(_r, _s1, _s2); \
} \
while (0)

## p_MemDiff_LengthTwo

#define p_MemDiff_LengthTwo | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthTwo(_r, _s1, _s2); \
} \
while (0)

Definition at line 212 of file p_MemAdd.h.

#define p_MemDiff_LengthTwo(r, s1, s2, length) \
do \
{ \
_p_MemDiff_Declare(r,s1,s2); \
_p_MemDiff_LengthTwo(_r, _s1, _s2); \
} \
while (0)

## p_MemSub_LengthGeneral

#define p_MemSub_LengthGeneral | ( |  | r,
|  |  | s,
|  |  | length )

Value:
do \
{ \
_p_MemSub_Declare(r,s); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] -= _s[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

Definition at line 291 of file p_MemAdd.h.

#define p_MemSub_LengthGeneral(r, s, length) \
do \
{ \
_p_MemSub_Declare(r,s); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] -= _s[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

## p_MemSum_LengthEight

#define p_MemSum_LengthEight | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthEight(_r, _s1, _s2); \
} \
while (0)

Definition at line 78 of file p_MemAdd.h.

#define p_MemSum_LengthEight(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthEight(_r, _s1, _s2); \
} \
while (0)

## p_MemSum_LengthFive

#define p_MemSum_LengthFive | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthFive(_r, _s1, _s2); \
} \
while (0)

Definition at line 57 of file p_MemAdd.h.

#define p_MemSum_LengthFive(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthFive(_r, _s1, _s2); \
} \
while (0)

## p_MemSum_LengthFour

#define p_MemSum_LengthFour | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthFour(_r, _s1, _s2); \
} \
while (0)

Definition at line 50 of file p_MemAdd.h.

#define p_MemSum_LengthFour(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthFour(_r, _s1, _s2); \
} \
while (0)

## p_MemSum_LengthGeneral

#define p_MemSum_LengthGeneral | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] = _s1[_i] + _s2[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

Definition at line 86 of file p_MemAdd.h.

#define p_MemSum_LengthGeneral(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
const unsigned long _l = (unsigned long) length; \
unsigned long _i = 0; \
\
do \
{ \
_r[_i] = _s1[_i] + _s2[_i]; \
_i++; \
} \
while (_i != _l); \
} \
while (0)

## p_MemSum_LengthOne

#define p_MemSum_LengthOne | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
_p_MemSum_LengthOne(r, s1, s2)

Definition at line 35 of file p_MemAdd.h.

## p_MemSum_LengthSeven

#define p_MemSum_LengthSeven | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthSeven(_r, _s1, _s2); \
} \
while (0)

Definition at line 71 of file p_MemAdd.h.

#define p_MemSum_LengthSeven(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthSeven(_r, _s1, _s2); \
} \
while (0)

## p_MemSum_LengthSix

#define p_MemSum_LengthSix | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthSix(_r, _s1, _s2); \
} \
while (0)

Definition at line 64 of file p_MemAdd.h.

#define p_MemSum_LengthSix(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthSix(_r, _s1, _s2); \
} \
while (0)

## p_MemSum_LengthThree

#define p_MemSum_LengthThree | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthThree(_r, _s1, _s2); \
} \
while (0)

Definition at line 43 of file p_MemAdd.h.

#define p_MemSum_LengthThree(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthThree(_r, _s1, _s2); \
} \
while (0)

## p_MemSum_LengthTwo

#define p_MemSum_LengthTwo | ( |  | r,
|  |  | s1,
|  |  | s2,
|  |  | length )

Value:
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthTwo(_r, _s1, _s2); \
} \
while (0)

Definition at line 36 of file p_MemAdd.h.

#define p_MemSum_LengthTwo(r, s1, s2, length) \
do \
{ \
_p_MemSum_Declare(r,s1,s2); \
_p_MemSum_LengthTwo(_r, _s1, _s2); \
} \
while (0)